about summary refs log tree commit diff
path: root/test/ppmmake.test
diff options
context:
space:
mode:
authorgiraffedata <giraffedata@9d0c8265-081b-0410-96cb-a4ca84ce46f8>2019-09-22 15:10:06 +0000
committergiraffedata <giraffedata@9d0c8265-081b-0410-96cb-a4ca84ce46f8>2019-09-22 15:10:06 +0000
commit270c5f0ef4747ad5a1a418659213514be6cd1bda (patch)
treee09259abd808ac7e9a4c2494e1ccefa0d08ef991 /test/ppmmake.test
parent3e6bd495a661107cabb91df9e693151addae3f20 (diff)
downloadnetpbm-mirror-270c5f0ef4747ad5a1a418659213514be6cd1bda.tar.gz
netpbm-mirror-270c5f0ef4747ad5a1a418659213514be6cd1bda.tar.xz
netpbm-mirror-270c5f0ef4747ad5a1a418659213514be6cd1bda.zip
Miscellaneous test updates
git-svn-id: http://svn.code.sf.net/p/netpbm/code/trunk@3686 9d0c8265-081b-0410-96cb-a4ca84ce46f8
Diffstat (limited to 'test/ppmmake.test')
-rwxr-xr-xtest/ppmmake.test39
1 files changed, 27 insertions, 12 deletions
diff --git a/test/ppmmake.test b/test/ppmmake.test
index edd6f251..f28249c7 100755
--- a/test/ppmmake.test
+++ b/test/ppmmake.test
@@ -2,26 +2,41 @@
 # This script tests: ppmmake
 # Also requires:
 
-echo "Test 1."
+echo "Test 1"
 
 ppmmake rgb:ff/80/80 50 100 -maxval=5 | cksum
 ppmmake rgbi:0.5/1.0/0 2   | cksum
 ppmmake red 50 50  | cksum
 
-echo "Test 2."
+echo "Test Invalid"
+
+tmpdir=${tmpdir:-/tmp}
+test_out=${tmpdir}/test_out
 
 echo 1>&2
 echo "Invalid command-line argument combinations." 1>&2
 echo "Error messages should appear below the line." 1>&2
 echo "-----------------------------------------------------------" 1>&2
 
-ppmmake rgb:gg/00/00  2 2  || echo "Expected error 1"
-ppmmake rgb:ff/ff/00  2    || echo "Expected error 2"
-ppmmake rgbi:1.1/0/0  2 2  || echo "Expected error 3"
-ppmmake rgbi:1.0/.5   2 2  || echo "Expected error 4"
-ppmmake rainbow       2 2  || echo "Expected error 5"
-ppmmake               2 2  || echo "Expected error 6"
-ppmmake blue -maxval=0 2 2  || echo "Expected error 7"
-ppmmake blue -maxval=-1 2 2  || echo "Expected error 8"
-ppmmake blue -maxval=65536 2 2  || echo "Expected error 9"
-RGBDEF=/dev/null ppmmake red 2 2 || echo "Expected error 10"
+ppmmake rgb:gg/00/00  2 2  > ${test_out} || \
+   echo -n "Expected failure 1"; test -s ${test_out}; echo " "$?
+ppmmake rgb:ff/ff/00  2    > ${test_out} || \
+   echo -n "Expected failure 2"; test -s ${test_out}; echo " "$?
+ppmmake rgbi:1.1/0/0  2 2  > ${test_out} || \
+   echo -n "Expected failure 3"; test -s ${test_out}; echo " "$?
+ppmmake rgbi:1.0/.5   2 2  > ${test_out} || \
+   echo -n "Expected failure 4"; test -s ${test_out}; echo " "$?
+ppmmake rainbow       2 2  > ${test_out} || \
+   echo -n "Expected failure 5"; test -s ${test_out}; echo " "$?
+ppmmake               2 2  > ${test_out} || \
+   echo -n "Expected failure 6"; test -s ${test_out}; echo " "$?
+ppmmake blue -maxval=0 2 2  > ${test_out} || \
+   echo -n "Expected failure 7"; test -s ${test_out}; echo " "$?
+ppmmake blue -maxval=-1 2 2  > ${test_out} || \
+   echo -n "Expected failure 8"; test -s ${test_out}; echo " "$?
+ppmmake blue -maxval=65536 2 2  > ${test_out} || \
+   echo -n "Expected failure 9"; test -s ${test_out}; echo " "$?
+RGBDEF=/dev/null ppmmake red 2 2 > ${test_out} || \
+   echo -n "Expected failure 10"; test -s ${test_out}; echo " "$?
+
+rm ${test_out}